%{!?tcl_version: %define tcl_version %(echo 'puts $tcl_version' | tclsh)}
%{!?tcl_sitelib: %define tcl_sitelib %{_datadir}/tcl%{tcl_version}}

Summary:  Tcl commands for SOAP remote procedure calls
Name: tclsoap
Version: 1.6.7
Release: 8%{?dist}
License: MIT
URL: http://tclsoap.sourceforge.net/
Group: Development/Libraries
Source0:        http://download.sourceforge.net/tclsoap/TclSOAP-1.6.7.tar.gz
Patch0: tclsoap.patch
Patch1: tclsoap-1.6.7-version.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
BuildRequires: tcl
Requires: tcl(abi) = 8.5 tcldom

%description
Provides support for building clients and servers for the
SOAP remote procedure call protocol from Tcl. SOAP is an 
XML based RPC mechanism which provides cross-platform
cross language compatibility.

%prep
%setup -q -n %{name}%{version}
%patch0 -p1
%patch1
chmod a-x doc/*

%build
%configure --libdir=%{tcl_sitelib}
# Nothing to build.  Don't run 'make'

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{tcl_sitelib}/%{name}%{version}
%doc CHANGES LICENSE DESCRIPTION.txt TclSOAP.ANN
%doc doc/*

%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.7-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.7-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.7-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jan 5 2008 Wart <wart at kobold.org> - 1.6.7-5
- Rebuild for Tcl 8.5

* Fri Feb 16 2007 Wart <wart at kobold.org> - 1.6.7-4
- Rebuild for reversion back to tcl8.4

* Fri Feb 2 2007 Wart <wart at kobold.org> - 1.6.7-3
- Add patch to fix version mismatch
- Move package to tcl-specific directory

* Mon Aug 28 2006 Wart <wart at kobold.org> - 1.6.7-2
- Rebuild for Fedora Extras

* Sat Dec 10 2005 Wart <wart at kobold.org> - 1.6.7-1
- Initial spec file.
